JNA API 3.3.0

## com.sun.jna.platform
Class WindowUtils.RepaintTrigger.Listener

    java.lang.Object
      java.awt.event.WindowAdapter
          com.sun.jna.platform.WindowUtils.RepaintTrigger.Listener

All Implemented Interfaces:
  AWTEventListener, ComponentListener, HierarchyListener, WindowFocusListener, WindowListener, WindowStateListener, EventListener

Enclosing class:
  WindowUtils.RepaintTrigger

    protected class WindowUtils.RepaintTrigger.Listener

extends WindowAdapter
implements ComponentListener, HierarchyListener, AWTEventListener

Constructor Summary
`protected` | `WindowUtils.RepaintTrigger.Listener()`

Method Summary
`void` | `componentHidden(ComponentEvent e)`
`void` | `componentMoved(ComponentEvent e)`
`void` | `componentResized(ComponentEvent e)`
`void` | `componentShown(ComponentEvent e)`
`void` | `eventDispatched(AWTEvent e)`
`void` | `hierarchyChanged(HierarchyEvent e)`
`void` | `windowOpened(WindowEvent e)`

Methods inherited from class java.awt.event.WindowAdapter
`windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowUtils.RepaintTrigger.Listener

    protected WindowUtils.RepaintTrigger.Listener()

Method Detail

### windowOpened

    public void windowOpened(WindowEvent e)

  Specified by:
    `windowOpened` in interface `WindowListener`
  Overrides:
    `windowOpened` in class `WindowAdapter`

### componentHidden

    public void componentHidden(ComponentEvent e)

  Specified by:
    `componentHidden` in interface `ComponentListener`

### componentMoved

    public void componentMoved(ComponentEvent e)

  Specified by:
    `componentMoved` in interface `ComponentListener`

### componentResized

    public void componentResized(ComponentEvent e)

  Specified by:
    `componentResized` in interface `ComponentListener`

### componentShown

    public void componentShown(ComponentEvent e)

  Specified by:
    `componentShown` in interface `ComponentListener`

### hierarchyChanged

    public void hierarchyChanged(HierarchyEvent e)

  Specified by:
    `hierarchyChanged` in interface `HierarchyListener`

### eventDispatched

    public void eventDispatched(AWTEvent e)

  Specified by:
    `eventDispatched` in interface `AWTEventListener`

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.